> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.fortresstech.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server.

# Create Application

POST https://api.fortresstech.io/v1/applications
Content-Type: application/json

Create a new application for a prospective resident. This allows you to initiate the application process, capturing essential information about potential tenants and their application details.


Reference: https://developer.fortresstech.io/api-reference/applications/create-application

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects an object.

- `prospectId` (string, required) — The prospect ID to create application for
- `unitId` (string, optional) — Optional unit ID to associate with the application
- `notes` (string, optional) — Optional notes for the application
- `applicationType` (enum, optional) — Type of application
  - Allowed values: `Conventional`, `Affordable`
- `additionalAdults` (list of ApplicationsPostRequestBodyContentApplicationJsonSchemaAdditionalAdultsItems, optional) — Additional adult occupants
- `minors` (list of ApplicationsPostRequestBodyContentApplicationJsonSchemaMinorsItems, optional) — Minor occupants
- `pets` (list of ApplicationsPostRequestBodyContentApplicationJsonSchemaPetsItems, optional) — Pets

## Response

### 201

The created application

- `message` (string, optional)
- `data` (applications_components-schemas-Base, optional)

## Types

### ApplicationsPostRequestBodyContentApplicationJsonSchemaAdditionalAdultsItems

- `firstName` (string, required)
- `lastName` (string, required)
- `phone` (double, required)
- `applicantType` (enum, required)
  - Allowed values: `Financial Lease Signer`, `Employee Lease Signer`, `Courtesy Officer Lease Signer`, `Guarantor Lease Signer`, `Vendor Unit Lease Signer`, `Corporate Unit Lease Signer`, `Non Financial Lease Signer`, `Live-In-Caretaker`
- `relationship` (enum, required)
  - Allowed values: `Adult Child`, `Child`, `Guarantor`, `Other`, `Parent`, `Partner`, `Roommate`
- `email` (string, optional)

### ApplicationsPostRequestBodyContentApplicationJsonSchemaMinorsItems

- `firstName` (string, required)
- `lastName` (string, required)
- `relationship` (enum, required)
  - Allowed values: `Child`, `Roommate`, `Other`

### ApplicationsPostRequestBodyContentApplicationJsonSchemaPetsItems

- `petType` (enum, required)
  - Allowed values: `Dog`, `Cat`, `Reptile`, `Small Mammal`, `Bird`, `Fish`, `Other`
- `breed` (string, optional)
- `name` (string, optional)
- `weight` (double, optional)
- `isServiceAnimal` (boolean, optional)

### applications_components-schemas-Base

- `notes` (string, optional)
- `status` (enum, optional)
  - Allowed values: `APPROVED`, `IN_PROCESS`, `DENIED`, `WAITLIST`, `CANCELED`, `ABANDONED`
- `submittedAt` (datetime, optional)
- `id` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `primaryFormCompletedAt` (datetime, optional) — Timestamp of the last completed primary form for any applicant.
- `secondaryFormCompletedAt` (datetime, optional) — Timestamp of the last completed secondary form for any applicant.
- `assignedUserId` (string, optional)
- `assignedUnitId` (string, optional)
- `householdId` (string, optional)
- `leaseId` (string, optional)
- `applicantId` (string, optional)
- `organizationId` (string, optional)
- `propertyId` (string, optional)

## Examples

**Request**

```json
{
  "prospectId": "string"
}
```

**Response**

```json
{
  "message": "Application created successfully",
  "data": {
    "notes": "string",
    "status": "APPROVED",
    "submittedAt": "2024-01-15T09:30:00Z",
    "id": "string",
    "readableId": "string",
    "idempotencyId": "string",
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "primaryFormCompletedAt": "2024-01-15T09:30:00Z",
    "secondaryFormCompletedAt": "2024-01-15T09:30:00Z",
    "assignedUserId": "string",
    "assignedUnitId": "string",
    "householdId": "string",
    "leaseId": "string",
    "applicantId": "string",
    "organizationId": "string",
    "propertyId": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.fortresstech.io/v1/applications"

payload = { "prospectId": "string" }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fortresstech.io/v1/applications';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"prospectId":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fortresstech.io/v1/applications"

	payload := strings.NewReader("{\n  \"prospectId\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fortresstech.io/v1/applications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"prospectId\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fortresstech.io/v1/applications")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"prospectId\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fortresstech.io/v1/applications', [
  'body' => '{
  "prospectId": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fortresstech.io/v1/applications");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"prospectId\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["prospectId": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/applications")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```